/*
 *  log.c: Log generation
 *
 *  Copyright (C) 1997-2005 John Coppens (john@jcoppens.com)
 *
 *  This program is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU General Public License
 *  as published by the Free Software Foundation; either version 2 of
 *  the License, or (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU Library General Public
 *  License along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

#include <gtk/gtk.h>
#include <complex.h>

enum {	LOG_ELEM,
	LOG_Z_Y,
	LOG_RESULT,
	LOG_COLS
};                                                                              

void	loglist_initialize(GtkTreeView *tview);
void	loglist_create(int nr_lds, int nr_els);
void	loglist_set_impedance(int ldnr, int elnr,
		complex el_imp, complex imp, int type);
void    loglist_set_load(int ldnr, double freq, complex imp);
void	loglist_show(void);
void	loglist_export(void);
